%define phpsource       %{_prefix}/src/php-devel
%{expand:%(cat /usr/src/php-devel/PHP_BUILD||(echo -e "error: failed build dependencies:\n        php-devel >= 430 (4.3.0) is needed by this package." >/dev/stderr;kill -2 $PPID))}

%define rversion 2.2.4
%define release	1mdk

%define realname Auth NDS
%define modname auth_nds
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A21_%{modname}.ini

Summary:	The %{realname} module for PHP
Name:		php-%{modname}
Version:	%{phpversion}_%{rversion}
Release:	%{release}
Group:		System/Servers
URL:		ftp://platan.vc.cvut.cz/pub/linux/ncpfs/
License:	GPL
Source0:	php-%{modname}-%{rversion}.tar.bz2
Requires:	php%{libversion}
#Requires:	libncpfs2.3
BuildRequires:	php%{libversion}-devel
BuildRequires:	ncpfs-devel
BuildRoot:	%{_tmppath}/%{name}-root

%description
The %{name} package is a dynamic shared object (DSO) that adds
%{realname} support to PHP. PHP is an HTML-embedded scripting language. 
If you need %{realname} support for PHP applications, you will need to 
install this package in addition to the php package.

%prep

%setup -q -n php-%{modname}-%{rversion}

# small hack
cat > config.h << EOF
#define HAVE_DLFCN_H 1
#define COMPILE_DL_AUTH_NDS 1
#define NCPFS_VERSION "%{rversion}"
EOF

%build

%{phpsource}/buildext %{modname} "php_auth_nds.c" \
        "-lncp" "-I%{_includedir}/ncp"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{phpdir}/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

cat > README.%{modname} << EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
EOF

install -m755 %{soname} %{buildroot}%{phpdir}/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
[ "../package.xml" != "/" ] && rm -f ../package.xml

%files 
%defattr(-,root,root)
%doc site README.%{modname}
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%{phpdir}/extensions/%{soname}

%changelog
* Wed Jul 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_2.2.4-1mdk
- rebuilt for php-4.3.8

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_2.2.4-2mdk
- remove redundant provides

* Mon Jun 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_2.2.4-1mdk
- rebuilt for php-4.3.7

* Sun May 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_2.2.4-2mdk
- move scandir to /etc/php.d

* Wed May 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_2.2.4-1mdk
- fix url
- fix invalid-build-requires
- built for php 4.3.6

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4_2.2.3-1mdk
- built for php 4.3.4

* Wed Aug 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3_2.2.3-1mdk
- built for php 4.3.3
- misc spec file fixes

* Fri Jul 11 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_2.2.3-1mdk
- initial cooker contrib, ripped and hacked from the ncpfs source
